/*
NOKIA RESEARCH CENTER                                             CONFIDENTIAL
Southwood
Sinna Kirubananthan










            DSP SW Include Code Document - ANSI C







%full_name: amrnb_socket_node.h%

%full_filespec: AMR-NB socket node header file%

%date_created: 28.07.2004%

%created by: Sinna Kirubananthan%



Main features:
- LEAD3 assembler compatible
- supports Continuus automatic fields
- ?[]? brackets indicate fields to be edited
- ?[[]]? brackets indicate notes that can be removed
]]?


Copyright (c) Nokia Research Center. All rights reserved.


Change History:

NOTE: Duplicate the first block between the lines below and 
change the # signs of the lower one to % signs before checking 
the file into Continuus/CM.

Latest version is on top of the list
------------------------------------------------------------------------
Version: #version#
Date modified: #date_modified#
Derived by: #derived_by#
Status: -
Version notes:
-
------------------------------------------------------------------------
Version: %0.1%
Date modified: %08.03.2004%
Derived by: %Roumen Popov%
Status: -
Version notes:
-
------------------------------------------------------------------------
Version: 0.1
Date modified: -
Derived by: -
Status: -
Version notes:
-
------------------------------------------------------------------------
*/

/*  CONTENTS

    1  ABSTRACT
        1.1  Description
        1.2  Notes

    2  INCLUDE FILES

    3  COMPILER FLAGS

    4  CONSTANTS

    5  MACROS

    6  DATA TYPES

    7  EXTERNAL DATA STRUCTURES

    8  FUNCTION PROTOTYPES
*/

/*  1  ABSTRACT

    1.1 Description

	Provides constants and data types for the PCM socket nodes


    1.2 Notes

    ?[notes]?
    ?[[Any notes that may be relevant, open items, optimizations, etc.]]?
*/

#ifndef __amrnb_socket_node_h__
#define __amrnb_socket_node_h__

/*  2  INCLUDE FILES */

/*  3 COMPILER FLAGS */

/*  4  CONSTANTS */

#define AMR_PLAYCOMPLETED 0x200

#define MULTIPLE_PACKETS   10

#define INPUT_STREAM_SIZE  60		/* 120 bytes: 118 speech data + 2 header bytes */

/*  5  MACROS */

/*  6  DATA TYPES */

/*
	Messages
*/

typedef enum eSPEECHDECODEDspMessages
{
	//RMS_DSPMSG_AUDIO_UID = RMS_USER + 1,
	RMS_DSPMSG_AUDIO_PARAMETERS = DSP_CMD_SET_PARAMS,
	RMS_DSPMSG_PLAY  = DSP_CMD_PLAY,
	RMS_DSPMSG_PAUSE  = DSP_CMD_PAUSE,
	RMS_DSPMSG_STOP = DSP_CMD_STOP,
	RMS_DSPMSG_MODE = DSP_CMD_SET_MODE,
	RMS_DSPMSG_PLAYCOMPLETED = AMR_PLAYCOMPLETED
} eSPEECHDECODEDspMessages;

/*
	State machine
*/

typedef enum eSPEECHDECODEDspStatus
{
	SPEECHDECODE_DEFAULT = STATE_UNINITIALISED,
	SPEECHDECODE_INIT = 0x20,
	SPEECHDECODE_START = 0x21,
	SPEECHDECODE_READY = 0x22,
	SPEECHDECODE_PLAY = STATE_PLAYING,
	SPEECHDECODE_DECODE= 0x23,
	SPEECHDECODE_PAUSE= STATE_PAUSED,
	SPEECHDECODE_RESET= STATE_RESET
} eSPEECHDECODEDspStatus;


typedef enum EWaitMode
{
	Bridge = 0,
	DASF
}EWaitMode;


/*  7  EXTERNAL DATA STRUCTURES */

/*  8  FUNCTION PROTOTYPES */


#endif

/* End of File */
